## GtkSourceGutterRendererPixbuf GtkSourceGutterRendererPixbuf — Renders a pixbuf in the gutter |

## Functions

GtkSourceGutterRenderer * | gtk_source_gutter_renderer_pixbuf_new ()
void | gtk_source_gutter_renderer_pixbuf_set_pixbuf ()
GdkPixbuf * | gtk_source_gutter_renderer_pixbuf_get_pixbuf ()
void | gtk_source_gutter_renderer_pixbuf_set_gicon ()
GIcon * | gtk_source_gutter_renderer_pixbuf_get_gicon ()
void | gtk_source_gutter_renderer_pixbuf_set_icon_name ()
const gchar * | gtk_source_gutter_renderer_pixbuf_get_icon_name ()

## Properties

GIcon * | gicon | Read / Write
gchar * | icon-name | Read / Write
GdkPixbuf * | pixbuf | Read / Write

## Types and Values

| GtkSourceGutterRendererPixbuf

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkSourceGutterRenderer
                ╰── GtkSourceGutterRendererPixbuf

## Includes

    #include <gtksourceview/gtksource.h>

## Description

A GtkSourceGutterRendererPixbuf can be used to render an image in a cell of GtkSourceGutter.

## Functions

### gtk_source_gutter_renderer_pixbuf_new ()

    GtkSourceGutterRenderer *
    gtk_source_gutter_renderer_pixbuf_new (void);

Create a new GtkSourceGutterRendererPixbuf.

#### Returns

A GtkSourceGutterRenderer.

[transfer full]

### gtk_source_gutter_renderer_pixbuf_set_pixbuf ()

    void
    gtk_source_gutter_renderer_pixbuf_set_pixbuf
                                   (GtkSourceGutterRendererPixbuf *renderer,
                                    GdkPixbuf *pixbuf);

#### Parameters

renderer | a GtkSourceGutterRendererPixbuf |
pixbuf | the pixbuf, or `NULL`. | [nullable]

### gtk_source_gutter_renderer_pixbuf_get_pixbuf ()

    GdkPixbuf *
    gtk_source_gutter_renderer_pixbuf_get_pixbuf
                                   (GtkSourceGutterRendererPixbuf *renderer);

Get the pixbuf of the renderer.

#### Parameters

renderer | a GtkSourceGutterRendererPixbuf |

#### Returns

a GdkPixbuf.

[transfer none]

### gtk_source_gutter_renderer_pixbuf_set_gicon ()

    void
    gtk_source_gutter_renderer_pixbuf_set_gicon
                                   (GtkSourceGutterRendererPixbuf *renderer,
                                    GIcon *icon);

#### Parameters

renderer | a GtkSourceGutterRendererPixbuf |
icon | the icon, or `NULL`. | [nullable]

### gtk_source_gutter_renderer_pixbuf_get_gicon ()

    GIcon *
    gtk_source_gutter_renderer_pixbuf_get_gicon
                                   (GtkSourceGutterRendererPixbuf *renderer);

Get the gicon of the renderer

#### Parameters

renderer | a GtkSourceGutterRendererPixbuf |

#### Returns

a GIcon.

[transfer none]

### gtk_source_gutter_renderer_pixbuf_set_icon_name ()

    void
    gtk_source_gutter_renderer_pixbuf_set_icon_name
                                   (GtkSourceGutterRendererPixbuf *renderer,
                                    const gchar *icon_name);

#### Parameters

renderer | a GtkSourceGutterRendererPixbuf |
icon_name | the icon name, or `NULL`. | [nullable]

### gtk_source_gutter_renderer_pixbuf_get_icon_name ()

    const gchar *
    gtk_source_gutter_renderer_pixbuf_get_icon_name
                                   (GtkSourceGutterRendererPixbuf *renderer);

## Types and Values

### GtkSourceGutterRendererPixbuf

    typedef struct _GtkSourceGutterRendererPixbuf GtkSourceGutterRendererPixbuf;

## Property Details

### The `“gicon”` property

      “gicon”                    GIcon *

The gicon.

Owner: GtkSourceGutterRendererPixbuf

Flags: Read / Write

### The `“icon-name”` property

      “icon-name”                gchar *

The icon name.

Owner: GtkSourceGutterRendererPixbuf

Flags: Read / Write

Default value: NULL

### The `“pixbuf”` property

      “pixbuf”                   GdkPixbuf *

The pixbuf.

Owner: GtkSourceGutterRendererPixbuf

Flags: Read / Write

## See Also

GtkSourceGutterRenderer, GtkSourceGutter